package api;

import com.github.cliftonlabs.json_simple.JsonKey;

public enum JsonKeys implements JsonKey {
    KEY_QUESTION("question"),
    KEY_QUESTIONS("questions"),
    KEY_ANSWER("answer"),
    KEY_ANSWERS("answers"),
    KEY_DESCRIPTION("description"),
    KEY_NAME("name"),
    KEY_ID("id"),
    KEY_TRAIT("trait"),
    KEY_TRAITS("traits"),
    KEY_WEIGHT("weight"),
    KEY_RESULTS("results");


    private final Object value;

    JsonKeys(Object iValue)
    {
        value = iValue;
    }

    @Override
    public String getKey() {
        return (String) value;
    }

    @Override
    public Object getValue() {
        return value;
    }
}
